
#include <Finder.h>
#include <StandardFile.h>
#include <Threads.h>

#include "standardfile_.h"
#include "standardputfile.h"

standardputfile::standardputfile( ConstStr255Param prompt, short dlogID)
	: standardfile( dlogID)
	, the_prompt( prompt)
{
}

standardputfile::~standardputfile()
{
}

Boolean standardputfile::doIt( ConstStr255Param defaultName)
{
	Point where = { -1, -1};

	CustomPutFile( the_prompt, defaultName,
			(StandardFileReply *)this, DLOG_ID, where,
			0L, 0L,
			0L, 0L,
			(void *)this	// Ptr yourDataPtr
	);
	return sfGood;
}
