#include "nanoInstall.h"

const unsigned char emptyPString[] = "\p";

void InitToolbox()
{
	MaxApplZone();
	MoreMasters();
	InitGraf( &qd.thePort);
	InitFonts();
	InitWindows();
	InitMenus();
	FlushEvents( everyEvent, 0);
	TEInit();
	InitDialogs( 0L);
	InitCursor();
}

void main()
{
	InitToolbox();

	Handle nameResource = Get1Resource( 'fNam', 128);

	OSErr result = noErr;

	if( nameResource == 0)
	{
		result = readThem();
	} else {
		ReleaseResource( nameResource);
		result = writeThem();
	}
	if( result != noErr)
	{
		SysBeep( 9);
		long ticks;
		Delay( 20, &ticks);
	}
}
